<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Chunks (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Chunks (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Chunks.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
               title="interface in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/DirectoryChunk.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/Chunks.html" target="_top">Frames</a></li>
        <li><a href="Chunks.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hsmf.datatypes</div>
    <h2 title="Class Chunks" class="title">Class Chunks</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hsmf.datatypes.Chunks</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                           title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                            title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Chunks</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
              title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a></pre>
                <div class="block">Collection of convenience chunks for standard parts of the MSG file.

                    Not all of these will be present in any given file.

                    A partial list is available at:
                    http://msdn.microsoft.com/en-us/library/ms526356%28v=exchg.10%29.aspx

                    TODO Deprecate the public Chunks in favour of Property Lookups
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#Chunks--">Chunks</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#chunksComplete--">chunksComplete</a></span>()</code>
                                    <div class="block">Called by the parser when all chunks have been found.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>,java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>&gt;&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getAll--">getAll</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getChunks--">getChunks</a></span>()</code>
                                    <div class="block">Returns the chunks that make up the group.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getConversationTopic--">getConversationTopic</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getDisplayBCCChunk--">getDisplayBCCChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getDisplayCCChunk--">getDisplayCCChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getDisplayFromChunk--">getDisplayFromChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getDisplayToChunk--">getDisplayToChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getEmailFromChunk--">getEmailFromChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getHtmlBodyChunkBinary--">getHtmlBodyChunkBinary</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getHtmlBodyChunkString--">getHtmlBodyChunkString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getMessageClass--">getMessageClass</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getMessageHeaders--">getMessageHeaders</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getMessageId--">getMessageId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MessagePropertiesChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MessagePropertiesChunk</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getMessageProperties--">getMessageProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>,java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a>&gt;&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getProperties--">getProperties</a></span>()</code>
                                    <div class="block">Returns all the Properties contained in the Chunk, along with
                                        their
                                        Values.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>,<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getRawProperties--">getRawProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getRtfBodyChunk--">getRtfBodyChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getSentByServerType--">getSentByServerType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getSubjectChunk--">getSubjectChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MessageSubmissionChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MessageSubmissionChunk</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getSubmissionChunk--">getSubmissionChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getTextBodyChunk--">getTextBodyChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#record-org.apache.poi.hsmf.datatypes.Chunk-">record</a></span>(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>&nbsp;chunk)</code>
                                    <div class="block">Called by the parser whenever a chunk is found.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Chunks--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Chunks</h4>
                                <pre>public&nbsp;Chunks()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getProperties</h4>
                                <pre>public&nbsp;java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>,java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a>&gt;&gt;&nbsp;getProperties()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html#getProperties--">ChunkGroupWithProperties</a></code></span>
                                </div>
                                <div class="block">Returns all the Properties contained in the Chunk, along with their
                                    Values. Normally, each property will have one value, sometimes none, and
                                    rarely multiple (normally for Unknown etc). For fixed sized properties,
                                    the value can be fetched straight from the <a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                            title="class in org.apache.poi.hsmf.datatypes"><code>PropertyValue</code></a>.
                                    For
                                    variable sized properties, you'll need to go via the chunk.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html#getProperties--">getProperties</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRawProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRawProperties</h4>
                                <pre>public&nbsp;java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>,<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a>&gt;&nbsp;getRawProperties()</pre>
                            </li>
                        </ul>
                        <a name="getAll--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAll</h4>
                                <pre>public&nbsp;java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>,java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>&gt;&gt;&nbsp;getAll()</pre>
                            </li>
                        </ul>
                        <a name="getChunks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChunks</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]&nbsp;getChunks()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#getChunks--">ChunkGroup</a></code></span>
                                </div>
                                <div class="block">Returns the chunks that make up the group. Should certainly contain
                                    all
                                    the interesting Chunks, but needn't always contain all of the Chunks.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#getChunks--">getChunks</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMessageClass--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMessageClass</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getMessageClass()</pre>
                            </li>
                        </ul>
                        <a name="getTextBodyChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextBodyChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getTextBodyChunk()</pre>
                            </li>
                        </ul>
                        <a name="getHtmlBodyChunkString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHtmlBodyChunkString</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getHtmlBodyChunkString()</pre>
                            </li>
                        </ul>
                        <a name="getHtmlBodyChunkBinary--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHtmlBodyChunkBinary</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a>&nbsp;getHtmlBodyChunkBinary()</pre>
                            </li>
                        </ul>
                        <a name="getRtfBodyChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRtfBodyChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a>&nbsp;getRtfBodyChunk()</pre>
                            </li>
                        </ul>
                        <a name="getSubjectChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubjectChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getSubjectChunk()</pre>
                            </li>
                        </ul>
                        <a name="getDisplayToChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayToChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getDisplayToChunk()</pre>
                            </li>
                        </ul>
                        <a name="getDisplayFromChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayFromChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getDisplayFromChunk()</pre>
                            </li>
                        </ul>
                        <a name="getDisplayCCChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayCCChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getDisplayCCChunk()</pre>
                            </li>
                        </ul>
                        <a name="getDisplayBCCChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayBCCChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getDisplayBCCChunk()</pre>
                            </li>
                        </ul>
                        <a name="getConversationTopic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getConversationTopic</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getConversationTopic()</pre>
                            </li>
                        </ul>
                        <a name="getSentByServerType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSentByServerType</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getSentByServerType()</pre>
                            </li>
                        </ul>
                        <a name="getMessageHeaders--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMessageHeaders</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getMessageHeaders()</pre>
                            </li>
                        </ul>
                        <a name="getSubmissionChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubmissionChunk</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MessageSubmissionChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MessageSubmissionChunk</a>&nbsp;getSubmissionChunk()</pre>
                            </li>
                        </ul>
                        <a name="getEmailFromChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEmailFromChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getEmailFromChunk()</pre>
                            </li>
                        </ul>
                        <a name="getMessageId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMessageId</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getMessageId()</pre>
                            </li>
                        </ul>
                        <a name="getMessageProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMessageProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MessagePropertiesChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MessagePropertiesChunk</a>&nbsp;getMessageProperties()</pre>
                            </li>
                        </ul>
                        <a name="record-org.apache.poi.hsmf.datatypes.Chunk-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>record</h4>
                                <pre>public&nbsp;void&nbsp;record(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>&nbsp;chunk)</pre>
                                <div class="block">Called by the parser whenever a chunk is found.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#record-org.apache.poi.hsmf.datatypes.Chunk-">record</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="chunksComplete--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>chunksComplete</h4>
                                <pre>public&nbsp;void&nbsp;chunksComplete()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#chunksComplete--">ChunkGroup</a></code></span>
                                </div>
                                <div class="block">Called by the parser when all chunks have been found.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#chunksComplete--">chunksComplete</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Chunks.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
               title="interface in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/DirectoryChunk.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/Chunks.html" target="_top">Frames</a></li>
        <li><a href="Chunks.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
